﻿using System;
using System.Collections.Generic;
using System.Text;
using Docs.Excel;


namespace Image
{
    class Program
    {
        static void Main(string[] args)
        {
            //Create a new workbook.
            ExcelWorkbook Wbook = new ExcelWorkbook();

            //Add new worksheet to workbook.
            Wbook.Worksheets.Add("Sheet1");

            //Insert an image.
            Wbook.Worksheets[0].Pictures.Add(@"..\..\..\formats.jpg");
            //Set position of picture.
            Wbook.Worksheets[0].Pictures[0].SetPosition(1, 1, 6, 4);

            //Insert an image.
            Wbook.Worksheets[0].Pictures.Add(@"..\..\..\formats.jpg");
            //Set position of picture.
            Wbook.Worksheets[0].Pictures[1].SetPosition(5, 1, 8, 4);

            //Insert an image.
            Wbook.Worksheets[0].Pictures.Add(@"..\..\..\formats.jpg");
            //Set position of picture.
            Wbook.Worksheets[0].Pictures[2].SetPosition(1, 10, 5, 25, 16, 10, 13, 25);

            //Delete an image.
            Wbook.Worksheets[0].Pictures.RemoveAt(1);

            //Write .xlsx file.
            Wbook.WriteXLSX(@"..\..\..\ExcelImage.xlsx");

            //Open specified file in MS Excel.
            System.Diagnostics.Process.Start(@"..\..\..\ExcelImage.xlsx");
        }
    }
}
