﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Threading;
using Docs.Excel;

namespace ProgressBar
{
    public partial class Form1 : Form
    {
        ExcelWorkbook workbook;
        float progress;


        public Form1()
        {
            InitializeComponent();
        }



        private void button1_Click(object sender, EventArgs e)
        {
            progressBar1.Value = 0;
            progress = 0;
            workbook = ExcelWorkbook.ReadXLS(@"..\..\..\Template.xls", new ProgressEventHandler(workbook_SavingProgress));
            dataGridView1.DataSource = workbook.Worksheets[0].WriteToDataTable();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            progressBar1.Value = 0;
            progress = 0;
            workbook.Progress += new ProgressEventHandler(workbook_SavingProgress);
            workbook.WriteXLS(@"..\..\..\ReSave.xls");
            workbook.Progress -= workbook_SavingProgress;
            dataGridView1.DataSource = null;
        }


        public void workbook_SavingProgress(object sender, ProgressEventArgs e)
        {
            progress += e.Percent;
            progressBar1.Value = (int)progress;
        }
    }
}
